## org.apache.hadoop.util
Interface ServicePlugin

All Superinterfaces:
  Closeable

    public interface ServicePlugin

extends Closeable

Service plug-in interface. Service plug-ins may be used to expose functionality of datanodes or namenodes using arbitrary RPC protocols. Plug-ins are instantiated by the service instance, and are notified of service life-cycle events using the methods defined by this class. Service plug-ins are started after the service instance is started, and stopped before the service instance is stopped.

Method Summary
`void` `start(Object service)` This method is invoked when the service instance has been started.
`void` `stop()` This method is invoked when the service instance is about to be shut down.

Methods inherited from interface java.io.Closeable
`close`

Method Detail

### start

    void start(Object service)

  This method is invoked when the service instance has been started.

  Parameters:
    `service` - The service instance invoking this method

### stop

    void stop()

  This method is invoked when the service instance is about to be shut down.

Copyright © 2009 The Apache Software Foundation